Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.settings
Interface HttpSettings

    public interface HttpSettings

HTTP-related settings constants

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `AUTHENTICATE_PREEMPTIVELY`
`static java.lang.String` | `BIND_ADDRESS`
`static java.lang.String` | `CLOSE_CONNECTIONS`
`static long` | `DEFAULT_SOCKET_TIMEOUT`
`static java.lang.String` | `ENCODED_URLS`
`static java.lang.String` | `INCLUDE_REQUEST_IN_TIME_TAKEN`
`static java.lang.String` | `INCLUDE_RESPONSE_IN_TIME_TAKEN`
`static java.lang.String` | `MAX_CONNECTIONS_PER_HOST`
`static java.lang.String` | `MAX_RESPONSE_SIZE`
`static java.lang.String` | `MAX_TOTAL_CONNECTIONS`
`static java.lang.String` | `SOCKET_TIMEOUT`
`static java.lang.String` | `USER_AGENT`

Field Detail

### DEFAULT_SOCKET_TIMEOUT

    static final long DEFAULT_SOCKET_TIMEOUT

See Also:
  Constant Field Values

### CLOSE_CONNECTIONS

    static final java.lang.String CLOSE_CONNECTIONS

### USER_AGENT

    static final java.lang.String USER_AGENT

### AUTHENTICATE_PREEMPTIVELY

    static final java.lang.String AUTHENTICATE_PREEMPTIVELY

### SOCKET_TIMEOUT

    static final java.lang.String SOCKET_TIMEOUT

### INCLUDE_REQUEST_IN_TIME_TAKEN

    static final java.lang.String INCLUDE_REQUEST_IN_TIME_TAKEN

### INCLUDE_RESPONSE_IN_TIME_TAKEN

    static final java.lang.String INCLUDE_RESPONSE_IN_TIME_TAKEN

### MAX_RESPONSE_SIZE

    static final java.lang.String MAX_RESPONSE_SIZE

### ENCODED_URLS

    static final java.lang.String ENCODED_URLS

### BIND_ADDRESS

    static final java.lang.String BIND_ADDRESS

### MAX_CONNECTIONS_PER_HOST

    static final java.lang.String MAX_CONNECTIONS_PER_HOST

### MAX_TOTAL_CONNECTIONS

    static final java.lang.String MAX_TOTAL_CONNECTIONS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.